Bug 426703 - pulseaudio does not start
pulseaudio does not start
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: pulseaudio (Show other bugs)
8
All Linux
low Severity low
: ---
: ---
Assigned To: Lennart Poettering
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-12-24 11:32 EST by Reindl Harald
Modified: 2008-09-08 21:09 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-15 11:27:03 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Reindl Harald 2007-12-24 11:32:47 EST
[harry@nb-rhsoft:~]$ pulseaudio -vv
pulseaudio: pulsecore/mutex-posix.c:98: pa_mutex_unlock: Zusicherung
»pthread_mutex_unlock(&m->mutex) == 0« nicht erfüllt.
Abgebrochen

This i have found, but the libtool seems to be right
http://0pointer.de/blog/projects/pa-097.html

[harry@nb-rhsoft:~]$ rpm -qa | grep libtool
libtool-1.5.24-3.fc8


> I run into a trouble, when excute "pulseaudio", error message appears:
> pulseaudio: pulsecore/mutex-posix.c:98: pa_mutex_unlock: Assertion 
> `pthread_mutex_unlock(&m->mutex) == 0' failed.
> Could you help me? Thanks!
> Posted by Lennart at Mon Nov 5 15:14:18 2007
> Aaron: this is not a support forum. Try asking questions like this on the ML 
> or on IRC.
> Anyway, you need to upgrade your libtool/libltdl to something ending with .24
> at least.
Comment 1 Lennart Poettering 2008-02-15 11:27:03 EST
Upgrade your libltdl please, it is broken.
Comment 2 Reindl Harald 2008-02-16 12:49:37 EST
Sorry but how to do this?
"yum search libltdl" does nothing find and i do not know what you mean
Comment 3 Reindl Harald 2008-09-08 21:09:25 EDT
I reopen this again
After upgrading to Fedora 9 on this machine its the same

[harry@nb-rhsoft:~]$ pulseaudio -D
E: mutex-posix.c: Assertion 'pthread_mutex_unlock(&m->mutex) == 0' failed at pulsecore/mutex-posix.c:98, function pa_mutex_unlock(). Aborting.

I have before also remove the following packages "pulseaudio pulseaudio-libs pulseaudio-core-libs SDL SDL_ttf SDL_image SDL_gfx SDL_mixer libao", searched all configurations, killed it manually and killed all which can belong to pulseaudio.

This machine (notebook) was FC5 and upgraded to FC6, F7, F8 and F9 and i never got pulseaudio running here. On a fresh install (x86_64 desktop-machine/homeserver) it works, but there i get no system-wide instance (https://bugzilla.redhat.com/show_bug.cgi?id=461546) -> pulseaudio will make me crazy sooner or later :-)
_____________

If i have misunderstood "Upgrade your libltdl please, it is broken." please let me know, packages should after some months and a dist-upgrade are all new and i do not know what can i try 

[harry@nb-rhsoft:~]$ rpm -qa | grep ltdl
libtool-ltdl-1.5.24-6.fc9.i386

[harry@nb-rhsoft:~]$ rpm -qa | grep pulse
pulseaudio-core-libs-0.9.10-1.fc9.i386
pulseaudio-0.9.10-1.fc9.i386
pulseaudio-libs-0.9.10-1.fc9.i386

[harry@nb-rhsoft:~]$ sudo package-cleanup --problems
Setting up yum
Reading local RPM database
Processing all local requires
No problems found

Note You need to log in before you can comment on or make changes to this bug.